## alire 1.2.1

=== deps/ada-toml/Makefile ===
prefix = /usr
DESTDIR = $(prefix)

LIBRARY_TYPES = static static-pic relocatable
BUILD_MODE = prod

PROCESSORS = 0

all: build

build: build-static build-static-pic build-relocatable
build-%:
	gprbuild -Pada_toml \
		-XBUILD_MODE=$(BUILD_MODE) \
		-XLIBRARY_TYPE=$* \
		-p -j$(PROCESSORS)

install: install-static install-static-pic install-relocatable
install-%: build-%
	gprinstall -Pada_toml \
		-XBUILD_MODE=$(BUILD_MODE) \
		-XLIBRARY_TYPE=$* \
		--sources-subdir=include/ada-toml \
		--prefix="$(DESTDIR)" \
		--build-name=$* \
		--build-var=LIBRARY_TYPE \
		--build-var=ADA_TOML_LIBRARY_TYPE \
		-p

clean: clean-static clean-static-pic clean-relocatable
clean-%:
	gprclean -Pada_toml \
		-XBUILD_MODE=$(BUILD_MODE) \
		-XLIBRARY_TYPE=$* \
		-p

=== deps/gnatcoll-slim/Makefile ===
##############################################################################
##                                                                          ##
##                              GNATCOLL LIBRARY                            ##
##                                                                          ##
##                         Copyright (C) 2017, AdaCore.                     ##
##                                                                          ##
## This library is free software;  you can redistribute it and/or modify it ##
## under terms of the  GNU General Public License  as published by the Free ##
## Software  Foundation;  either version 3,  or (at your  option) any later ##
## version. This library is distributed in the hope that it will be useful, ##
## but WITHOUT ANY WARRANTY;  without even the implied warranty of MERCHAN# ##
## TABILITY or FITNESS FOR A PARTICULAR PURPOSE.                            ##
##                                                                          ##
## As a special exception under Section 7 of GPL version 3, you are granted ##
## additional permissions described in the GCC Runtime Library Exception,   ##
## version 3.1, as published by the Free Software Foundation.               ##
##                                                                          ##
## You should have received a copy of the GNU General Public License and    ##
## a copy of the GCC Runtime Library Exception along with this program;     ##
## see the files COPYING3 and COPYING.RUNTIME respectively.  If not, see    ##
## <http://www.gnu.org/licenses/>.                                          ##
##                                                                          ##
##############################################################################

# Makefile targets
# ----------------
#
# Setup:                   make [VAR=VALUE] setup (see below)
# Build:                   make
# Install:                 make install

# Variables which can be set:
#
# General:
#
#   prefix        : root install directory
#   ENABLE_SHARED : yes / no (or empty)
#   BUILD         : DEBUG PROD
#   PROCESSORS    : nb parallel compilations (0 to use all cores)
#   TARGET        : target triplet for cross-compilation
#   INTEGRATED    : installs the project as part of the compiler installation;
#                   this adds NORMALIZED_TARGET subdir to prefix
#
# Project specific:
#
#   GNATCOLL_MMAP    : whether MMAP is supported (yes/no)
#                      default is "yes"; has no effect on Windows
#   GNATCOLL_MADVISE : whether MADVISE is supported (yes/no)
#                      default is "yes"; has no effect on Windows
#   GNATCOLL_ATOMICS : atomic model (intrinsic/mutex)
#                      default is "intrinsic"

# helper programs
CAT := cat
ECHO  := echo
WHICH := which

# check for out-of-tree build
SOURCE_DIR := $(dir $(MAKEFILE_LIST))
ifeq ($(SOURCE_DIR),./)
  RBD=
  GNATCOLL_GPR=gnatcoll.gpr
  MAKEPREFIX=
else
  RBD=--relocate-build-tree
  GNATCOLL_GPR=$(SOURCE_DIR)/gnatcoll.gpr
  MAKEPREFIX=$(SOURCE_DIR)/
endif

TARGET := $(shell gcc -dumpmachine)
NORMALIZED_TARGET := $(subst normalized_target:,,$(wordlist 6,6,$(shell gprconfig  --config=ada --target=$(TARGET) --mi-show-compilers)))
ifeq ($(NORMALIZED_TARGET),)
  $(error No toolchain found for target "$(TARGET)")
endif

GNATCOLL_OS := $(if $(findstring darwin,$(NORMALIZED_TARGET)),osx,$(if $(findstring windows,$(NORMALIZED_TARGET)),windows,unix))

prefix := $(dir $(shell $(WHICH) gnatls))..
GNATCOLL_VERSION := $(shell $(CAT) $(SOURCE_DIR)/version_information)
GNATCOLL_MMAP := yes
GNATCOLL_MADVISE := yes
GNATCOLL_ATOMICS := intrinsic

BUILD         = PROD
PROCESSORS    = 0
BUILD_DIR     =
ENABLE_SHARED = yes
INTEGRATED    = no

all: build

# Load current setup if any
-include makefile.setup

GTARGET=--target=$(NORMALIZED_TARGET)

ifeq ($(ENABLE_SHARED), yes)
   LIBRARY_TYPES=static relocatable static-pic
else
   LIBRARY_TYPES=static
endif

ifeq ($(INTEGRATED), yes)
   integrated_install=/$(NORMALIZED_TARGET)
endif


GPR_VARS=-XGNATCOLL_MMAP=$(GNATCOLL_MMAP) \
	 -XGNATCOLL_MADVISE=$(GNATCOLL_MADVISE) \
	 -XGNATCOLL_ATOMICS=$(GNATCOLL_ATOMICS) \
	 -XGNATCOLL_VERSION=$(GNATCOLL_VERSION) \
	 -XGNATCOLL_OS=$(GNATCOLL_OS) \
	 -XBUILD=$(BUILD)

# Used to pass extra options to GPRBUILD, like -d for instance
GPRBUILD_OPTIONS=

BUILDER=gprbuild -p -m $(GTARGET) $(RBD) -j$(PROCESSORS) $(GPR_VARS) \
	$(GPRBUILD_OPTIONS)
INSTALLER=gprinstall -p -f $(GTARGET) $(GPR_VARS) \
	$(RBD) --sources-subdir=include/gnatcoll --prefix=$(prefix)$(integrated_install)
CLEANER=gprclean -q $(RBD) $(GTARGET)
UNINSTALLER=$(INSTALLER) -p -f --install-name=gnatcoll --uninstall

#########
# build #
#########

build: $(LIBRARY_TYPES:%=build-%)

build-%:
	$(BUILDER) -XLIBRARY_TYPE=$* -XXMLADA_BUILD=$* -XGPR_BUILD=$* \
		$(GPR_VARS) $(GNATCOLL_GPR)

###########
# Install #
###########

uninstall:
ifneq (,$(wildcard $(prefix)$(integrated_install)/share/gpr/manifests/gnatcoll))
	$(UNINSTALLER) $(GNATCOLL_GPR)
endif

install: uninstall $(LIBRARY_TYPES:%=install-%)

install-%:
	$(INSTALLER) -XLIBRARY_TYPE=$* -XXMLADA_BUILD=$* -XGPR_BUILD=$* \
		--build-name=$* $(GPR_VARS) \
		--build-var=LIBRARY_TYPE --build-var=GNATCOLL_BUILD \
		--build-var=GNATCOLL_CORE_BUILD $(GNATCOLL_GPR)

###########
# Cleanup #
###########

clean: $(LIBRARY_TYPES:%=clean-%)

clean-%:
	-$(CLEANER) -XLIBRARY_TYPE=$* -XXMLADA_BUILD=$* -XGPR_BUILD=$* \
		$(GPR_VARS) $(GNATCOLL_GPR)

#########
# setup #
#########

.SILENT: setup

setup:
	$(ECHO) "prefix=$(prefix)" > makefile.setup
	$(ECHO) "ENABLE_SHARED=$(ENABLE_SHARED)" >> makefile.setup
	$(ECHO) "INTEGRATED=$(INTEGRATED)" >> makefile.setup
	$(ECHO) "BUILD=$(BUILD)" >> makefile.setup
	$(ECHO) "PROCESSORS=$(PROCESSORS)" >> makefile.setup
	$(ECHO) "TARGET=$(TARGET)" >> makefile.setup
	$(ECHO) "SOURCE_DIR=$(SOURCE_DIR)" >> makefile.setup
	$(ECHO) "GNATCOLL_OS=$(GNATCOLL_OS)" >> makefile.setup
	$(ECHO) "GNATCOLL_VERSION=$(GNATCOLL_VERSION)" >> makefile.setup
	$(ECHO) "GNATCOLL_MMAP=$(GNATCOLL_MMAP)" >> makefile.setup
	$(ECHO) "GNATCOLL_MADVISE=$(GNATCOLL_MADVISE)" >> makefile.setup
	$(ECHO) "GNATCOLL_ATOMICS=$(GNATCOLL_ATOMICS)" >> makefile.setup

=== debian/changelog ===
alire (1.2.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable stack check on arm{el,hf} because of #1096181 in gnat-14.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 20 Mar 2025 09:51:56 +0000

alire (1.2.1-2) unstable; urgency=medium

  [ Nicolas Boulenguez ]
  * Switch to debhelper 13
  * docs: replace the file list with a wildcard
  * docs: prefix with the explicit binary package name
  * Install the binary with a debhelper configuration file
  * Install manual pages with a debhelper configuration file
  * Move Vcs-{Browser,Git} from upstream development to Debian packaging
  * Update copyright years
  * Update Standards-Versions, add Rules-Requires-Root
  * Add a watch file and track upstream versions
  * Stop installing LICENSE.txt, redundant with debian/copyright
  * Remove final dot in package description
  * Remove unused license from debian/copyright
  * rules: remote obsolete parts
  * Add a clean target in debian/rules. Closes: #1044039
  * Compute build flags with dh-ada-library
  * Refresh the documentation during the build
  * Configure git-buildpackage for the recommended Debian branch scheme

  [ Stephane Carrez ]
  * Reupload to unstable for the gnat-13/time_t64 transition.

 -- Stephane Carrez <Stephane.Carrez@gmail.com>  Thu, 21 Mar 2024 23:05:54 +0100

alire (1.2.1-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Upload to experimental as part of the gnat-13 transition.
  * Wrap and sort build dependencies in debian/control
  * Update the -dev dependencies for gnat-13.
  * Disable dwz because it fails with gcc-13.
  * Disable warnings as errors for Debian builds.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 24 Jan 2024 09:09:55 +0100

alire (1.2.1-1) unstable; urgency=medium

  * Initial packaging by Stéphane Carrez; conforms to Debian Policy for Ada.
    Closes: #1029448.

 -- Stephane Carrez <Stephane.Carrez@gmail.com>  Sat, 28 Jan 2023 11:44:25 +0100

=== debian/control ===
Source: alire
Section: devel
Priority: optional
Maintainer: Stephane Carrez <Stephane.Carrez@gmail.com>
Uploaders: Ludovic Brenta <lbrenta@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-ada-library,
 gnat,
 gprbuild (>= 2015-2),
 libgnatcoll-dev,
 libgnatprj-dev,
 libxmlada-dom-dev,
 libxmlada-input-dev,
 libxmlada-sax-dev,
 libxmlada-unicode-dev,
 libxmlezout-dev,
 python3,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/alire-project
Vcs-Browser: https://salsa.debian.org/debian/alire
Vcs-Git: https://salsa.debian.org/debian/alire.git

Package: alire
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnat, gprbuild
Description: Ada package manager
 A catalog of ready-to-use Ada libraries plus a command-line tool
 (`alr`) to obtain, build, and incorporate them into your own projects.
 It aims to fulfill a similar role to Rust's `cargo` or OCaml's `opam`.
 .
 This is a source package manager, in contrast to apt which is a binary
 package manager.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE := 1

DEB_BUILD_MAINT_OPTIONS := hardening=+all
# -gnatwn: Debian builds should not fail because of a new warning
DEB_ADAFLAGS_MAINT_APPEND := -gnatafno -gnatVa -gnatwan

# work-around for #1096181.
ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf))
  DEB_ADAFLAGS_MAINT_APPEND += -fno-stack-check
endif

DPKG_EXPORT_BUILDFLAGS := 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/packaging.mk

%:
	dh $@

# For now, DPKG_EXPORT_BUILDFLAGS above has no effect and we use the
# -cargs -largs gprbuild options.  This is better than nothing, but
# cannot replace projects reading external values.  For example,
# ADAFLAGS should come after defaults and take precedence
# CFLAGS CPPFLAGS should only be read by projects using C
# LDFLAGS like --as-needed should come before libraries

override_dh_auto_build:
  # Compile the bin/alr executable.
	gprbuild $(GPRBUILDFLAGS) -m -Palr_env.gpr \
	  -cargs:Ada $(ADAFLAGS) \
	  -cargs:C $(CFLAGS) $(CPPFLAGS) \
	  -largs $(LDFLAGS) \
	  -kargs $(GPRCONFIGFLAGS)
  # Parse the output of bin/alr and generate doc/man1/*.1.
  # bin/alr crashes if it cannot create HOME/.config/.
	HOME='$(CURDIR)/debian/man1' \
	python3 debian/generate-man.py

# Skip dwz.  Failure with gcc-13:
# dwz: ./dwz.c:12035: adjust_exprloc: Assertion `refd != NULL && !refd->die_remove' failed.
override_dh_dwz:

=== debian/watch ===
version=4

# @ANY_VERSION@ would also match beta releases
https://github.com/alire-project/alire/tags \
  (?:.*?/)?v?(\d[\.\d]*)@ARCHIVE_EXT@
